# Stub.h File Reference

`#include "tao/ORB.h"`
`#include "tao/MProfile.h"`
`#include "tao/ORB_Core_Auto_Ptr.h"`
`#include "ace/Atomic_Op.h"`
`#include "tao/Stub.i"`

Include dependency graph for Stub.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | IOP

## Classes

class | TAO_Stub
| TAO_Stub. More...
class | TAO_Stub_Auto_Ptr
| Implements the draft C++ standard auto_ptr abstraction. This class allows one to work Stub Objects *Only*! More...

## Detailed Description

Id
  Stub.h,v 1.112 2006/02/21 17:59:46 smcqueen Exp

Author:
  Portions Copyright 1994-1995 by Sun Microsystems Inc.

  Portions Copyright 1997-2002 by Washington University